Why can’t I purchase my own modem?

The DOCSIS 3.1 equipment that is required to support Pro GigaEdge is not currently available on the retail market.

If you don't see what you need, try searching